<html>
<head>
<title></title>
<meta HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=/*[ID_CHARSET]*/">
<meta HTTP-EQUIV="Pragma" CONTENT="no-cache">
<meta HTTP-EQUIV="Cache-Control" CONTENT="no-cache, must-revalidate">
<meta HTTP-EQUIV="Expires" CONTENT="Tue, 29 Aug 2000 08:16:16 GMT">
<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
<script src="./j04_gfunc_def.js" type="text/javascript"><!--
//--></script>
<script language="javascript"><!--
		
		var editSignalName;
		var powerSpliteMode = "/*[power_splite_mode]*/";

		
		function GetCookie(name) 
		{
			var arg = name + "=";
			var alen = arg.length;
			var clen = document.cookie.length;
			//alert(document.cookie.length);
			//alert(document.cookie);
			var i = 0;
			while (i < clen) {
			var j = i + alen;
			if (document.cookie.substring(i, j) == arg)
			return getCookieVal (j);
			i = document.cookie.indexOf(" ", i) + 1;
			if (i == 0) break; 
			}
			return null;
		}
		
		var	varLanguageType ="" + "/*[Language_type]*/";
		
		var errMsg = new Array
		(
			"/*[ID_ERROR0]*/",//"Unknown error!",
			"/*[ID_ERROR1]*/",//"Successfully!",
			"/*[ID_ERROR2]*/",//"Failure,because of conflict setting!",
			"/*[ID_ERROR3]*/",//"No authority!",
			"/*[ID_ERROR4]*/",//"No information to send.",
			"/*[ID_ERROR5]*/",//"Modified Error."
			"/*[ID_ERROR6]*/" //"Modified Successfully."

		);
		
		function OEquip( equipId, equipName) 
		{
			var o = new Object;
 			o.equipId  = equipId;
 			o.equipName = equipName;
			return o;
		}
		
		function OSample( equipId,signalId,signalName,valueType,valueState) 
		{
			var o = new Object;
			o.equipId = equipId;
			o.signalId = signalId;
			o.signalName = signalName;
			o.valueType = valueType;
			o.valueState = valueState;
			return o;
		}
		
		function OControl( equipId,signalId,signalName,valueType,valueState) 
		{
			var o = new Object;
			o.equipId = equipId;
			o.signalId = signalId;
			o.signalName = signalName;
			o.valueType = valueType;
			o.valueState = valueState;
			return o;
		}
		
		function OSetting( equipId,signalId,signalName,valueType,valueState) 
		{
			var o = new Object;
			o.equipId = equipId;
			o.signalId = signalId;
			o.signalName = signalName;
			o.valueType = valueType;
			o.valueState = valueState;
			return o;
		}
		
		function OAlarm( equipId,signalId,signalName,valueType,valueState) 
		{
			var o = new Object;
			o.equipId = equipId;
			o.signalId = signalId;
			o.signalName = signalName;
			o.valueType=valueType;
			o.valueState = valueState;
			return o;
		}

		var equipSampleSignals = new Array
		(
			
		//new OSample(equipId,signalId,signalName,valueType,valueState),... 
		/*[equip_sample_signals]*/ 
		
		);
		
		var equipControlSignals = new Array
		(
			
		//new OControl(equipId,signalId,signalName,valueType),... 
		/*[equip_control_signals]*/

		);
		
		var equipSettingSignals = new Array
		(
			
		//new OSetting(equipId,signalId,signalName,valueType),... 
		/*[equip_setting_signals]*/


		);
		
		var equipAlarmSignals = new Array
		(
			
		//new OAlarm(equipId,signalId,signalName,valueType),... 
		/*[equip_alarm_signals]*/

		);
		
		var equip = new Array
		(
		
		//new OEquip(equipId, equipName),... 
		/*[equipments]*/
		
	
		);
		
		var items=new Array//S(Equipment_ID, Signal_ID, Signal_Type)，用于保存配置文件数据
		(
		
			
			//GC_PS配置文件中一行的内容
			/*[configuration_file]*/

				
		);
		
		function parseItem(item)//item=PLC配置文件中一行的内容,返回的是可以填入表格的最后内容
		{
			var result=new Array();
			var signal;
			var temp=item.split("\t");
			

			result[0]=temp[0];//PSItemSigName
			

			if(temp[1]=="NA")
			{
				result[1]="NA";
				result[2]="NA";
				result[3]="NA";
			}
			else if(isNumeric(temp[1])&&isNumeric(temp[2])&&isNumeric(temp[3]))
			{
				
				result[1]=findEquipName(temp[1]);
				result[2]=findSigType(temp[2]);
				result[3]=findSigName(temp[3],temp[2],temp[1]);
			}
			else
			{
				result[1]="NA";
				result[2]="NA";
				result[3]="NA";
			}
			
			
			return result;
		}
		
		
		
		function findEquipName(equipId)
		{
			var count=equip.length;
			for(i1=0;i1<count;i1++)
			{
				if(equip[i1].equipId==equipId)
				{
					return equip[i1].equipName;
				}
			}
			return "undefined";
		}
		
		function findSigType(typeId)
		{
			var sigType;
			if(typeId<0 || typeId>3)
			{
				return "undefined";
			}
			switch(typeId)
			{
				case "0":
				{
					sigType="/*[ID_Sampling]*/";
					return sigType;
					break;
				}
				case "1":
				{
					sigType="/*[ID_Control]*/";
					return sigType;
					break;
				}
				case "2":
				{
					sigType="/*[ID_Setting]*/";
					return sigType;
					break;
				}
				case "3":
				{
					sigType="/*[ID_Alarm]*/";
					return sigType;
					break;
				}
			}
		}
		
		function findSigName(sigId,typeId,equId)
		{
			var Signal;
			if(typeId<0 || typeId>3)
			{
				return "undefined";
			}
			switch(typeId)
			{
				case "0":
				{
					Signal=equipSampleSignals;
					break;
				}
				case "1":
				{
					Signal=equipControlSignals;
					break;
				}
				case "2":
				{
					Signal=equipSettingSignals;
					break;
				}
				case "3":
				{
					Signal=equipAlarmSignals;
					break;
				}
			}
			var count=Signal.length;
			for(i2=0;i2<count;i2++)
			{
				if(Signal[i2].signalId==sigId && Signal[i2].equipId==equId)
				{
					return Signal[i2].signalName;
				}
			}
			return "undefined";
		}
		
		function displayDiv(div1,div2,div3,div4)//0:none;
		{
			
			var Div1=document.getElementById("before_load");
			var Div2=document.getElementById("dispPowerSpliteMode");
			var Div3=document.getElementById("showPSItem");
			var Div4=document.getElementById("editPSItem");
			
			if(div1 == "0")
			{
				Div1.style.display = "none";
			}
			else
			{
				Div1.style.display = "";
			}
			
			if(div2 == "0")
			{
				Div2.style.display = "none";
			}
			else
			{
				Div2.style.display = "";
			}
			
			if(div3 == "0")
			{
				Div3.style.display = "none";
			}
			else
			{
				Div3.style.display = "";
			}
			
			if(div4 == "0")
			{
				Div4.style.display = "none";
			}
			else
			{
				Div4.style.display = "";
			}
			

		}
		function insertEquipOption()//加载页面时插入equipName
		{
			var count=equip.length;
			for(i=0;i<count;i++)
			{
				if(equip[i].equipId<=1 || equip[i].equipId>102 )//without rect
				{
					document.writeln("<option value='"+equip[i].equipId+"'>"+equip[i].equipName+"</option>");
				}
					
				
			}
			document.writeln("<option value='0'>"+"NA"+"</option>");
		}
		
		function insertSignal()//加载页面时插入signalName
		{
			var count=equipSampleSignals.length;

			for(i=0;i<count;i++)
			{
				if(equipSampleSignals[i].equipId==equip[0].equipId && equipSampleSignals[i].valueType == '5')
				{
					document.writeln("<option id='"+equipSampleSignals[i].equipId+"'value='"+equipSampleSignals[i].signalId+"'>"+equipSampleSignals[i].signalName+"</option>");
				}
			}
		}
	
		
		function insertTable()
		{
			var tdStyle = "height:24px; line-height:24px; font-family:Arial; padding-left:10px; border-bottom:#fff solid 1px; border-right:#fff solid 1px; font-weight:bold; color:#4d4d4d;font-size:12px;";
			var trStyle = null;
			var count=items.length;
			for(i3=0;i3<count;i3++)
			{
				if(i3%2==0)
				{
					trStyle = "background:#b8cce4;";
				}
				else
				{
					trStyle = "background:#dce6f1;";
				}
				
				var colContent=parseItem(items[i3]);
				document.writeln("<tr id='"+i3+"' style="+trStyle+"><td style='"+tdStyle+"'>"+colContent[0]+"</td>");
				document.writeln("<td style='"+tdStyle+"'>"+colContent[1]+"</td>");
				document.writeln("<td style='"+tdStyle+"'>"+colContent[2]+"</td>");
				document.writeln("<td style='"+tdStyle+"'>"+colContent[3]+"</td>");
				document.writeln("<td style='"+tdStyle+" border-right:none; text-align:left;'><input type='button' value='/*[ID_EDIT]*/' ID='"+i3+"' NAME='"+i3+"' onclick='editItem(this);' style='font-weight:normal;font-family:Arial; font-size:12px;padding:0 2px'></td></tr>");
			}
			
		}
		
		function editItem(o)
		{
		
			displayDiv(0,0,0,1);
			var temp=items[o.id].split("\t");
			var dispTable = document.all["Table3"];
			var row = dispTable.rows.item(2);
			var cell = row.cells.item(0);
			cell.innerHTML = temp[0];
			cell.last = temp[0];
			editSignalName = temp[0];

			
		}
		
		function selectChange(o)//用来根据设备ID，显示对应信号。
		{
	
			var otype=document.all["selSigType"];
			var osignal=document.all["selSigName"];
			
			if(o.options[o.selectedIndex].value == '0')
			{
				otype.setAttribute("disabled","true");
				osignal.setAttribute("disabled","true");
				return true;
				
			}
			otype.removeAttribute("disabled");
			osignal.removeAttribute("disabled");

			
			var sigtype=otype.options[otype.selectedIndex].value;
			
			if(sigtype=="0")
			{
				Signals=equipSampleSignals;
			}
			else if(sigtype=="1")
			{
				Signals=equipControlSignals;
			}
			else if(sigtype=="2")
			{
				Signals=equipSettingSignals;
			}
			else if(sigtype=="3")
			{
				Signals=equipAlarmSignals;
			}
			
			
			insertOption(o,osignal,Signals);
			
		}
		function insertOption(oequip,osignal,signal)//osignal为signal Select元素对象,oequip为equip Select元素（其选项决定signal Select元素对象）,signal为信号数组
		{
			delOptions(osignal);//删除原有显示信号
			
			var temp=new Array();
			var count=signal.length;
			var optionCount=0;
			
			if(count == 0)
			{
			        alert("/*[ID_NO_SIGNAL_ALERT]*/");
			}
			
				for(i=0;i<count;i++)
					{
						if(signal[i].equipId==oequip.options[oequip.selectedIndex].value && signal[i].valueType=='5')//&&(signal[i].valueType=="1"||signal[i].valueType=="2"||signal[i].valueType=="3"))
						{
							temp[optionCount]=document.createElement("option");
							temp[optionCount].innerText=signal[i].signalName;
							temp[optionCount].setAttribute("value",signal[i].signalId);
							
							optionCount++;
						}
					}
			

			for(b=0;b<optionCount;b++)
			{
				osignal.appendChild(temp[b]);
			}
			
		}
		
		function delOptions(o)//o为Select元素对象,用来删除Select元素下的option元素
		{
			var temp=o;

			while(temp.options.length!=0)
			{
				var count=temp.options.length-1
				for(i=0;i<=count;i++)
				{
					temp.options[i]=null;
				}
			}
		}
		
		function typeChange(o)//用来根据信号类型，显示对应信号。SignalType Select(Select3,6,9)元素触发
		{
			var sigtype=o.options[o.selectedIndex].value;

			
			

			var equip=document.all["selEquipName"]//用来决定设备
			var osignal=document.all["selSigName"];

			
			if(sigtype=="0")
			{
				Signals=equipSampleSignals;
			}
			else if(sigtype=="1")
			{
				Signals=equipControlSignals;
			}
			else if(sigtype=="2")
			{
				Signals=equipSettingSignals;
			}
			else if(sigtype=="3")
			{
				Signals=equipAlarmSignals;
			}
			
			
			insertOption(equip,osignal,Signals);

			
		}
		
		
		
		function cancel()
		{
			displayDiv(0,1,1,0);
		}
		
		function change()
		{
			var tempSelect = document.all["selEquipName"];
			var result;
			
			if(tempSelect.options[tempSelect.selectedIndex].value == '0')
			{
				result = editSignalName+"\t"+"NA"+"\t"+"NA"+"\t"+"NA";
			}
			else
			{
			
				if(tempSelect.options.length == 0)
				{
					alert("/*[ID_EQUIP_ERROR]*/");
					return false;
				}
				else
				{
					var equipID = tempSelect.options[tempSelect.selectedIndex].value;
				}
			
				tempSelect = document.all["selSigType"];
				if(tempSelect.options.length == 0)
				{
					alert("/*[ID_TYPE_ERROR]*/");
					return false;
				}
				else
				{
					var sigType = tempSelect.options[tempSelect.selectedIndex].value;
				}
			

				tempSelect = document.all["selSigName"];
				if(tempSelect.options.length == 0)
				{
					alert("/*[ID_SIG_ERROR]*/");
					return false;
				}
				else
				{
					var sigName = tempSelect.options[tempSelect.selectedIndex].value;
				}
			
				result = editSignalName+"\t"+equipID+"\t"+sigType+"\t"+sigName;
			}
			
			if(confirm("/*[ID_CONFIRM_1]*/"))
			{
				displayDiv(1,0,0,0,0);
				document.config_alarm.language_type.value = varLanguageType;
				document.config_alarm._modify_configure_detail.value = 25; //#define SET_GC_PS_CONFIG  25 in cgi_pub.h
				document.config_alarm._powerSpliteExp.value = result;
				document.config_alarm.sessionId.value = GetCookie("session_ID");
				document.config_alarm.submit();
			}
			
		}
		
		function trimname( obj)
		{
			var trimmedstring="",startpos=0, endpos=obj.length - 1;
			/* find start position of string */	
			while (startpos<=obj.length && obj.substring(startpos, startpos+1)==" ") 
			{
				startpos++;
			}
			/* null string */
			if (endpos == -1) 
			{
				endpos=0;
			}
			/* find end position of string */
			while (endpos >= 0 && obj.substring(endpos,endpos+1)==" ") 
			{
				endpos--;
			}
			/* replace value with trimmed string */
			obj = obj.substring(startpos,endpos+1);
			return obj;
		}
		
		function jumpToSystem()
		{
			var equipName = trimname("" + top.equip_list.equipList[0].szName);
			top.tree_view.getMessage(equipName);
		}
		
		function initBody()
		{
			var retCode = ""+"/*[CONTROL_RESULT]*/";
			if( retCode != "/*[CONTROL_RESULT]*/" ) 
			{
				//if(powerSpliteMode == "MASTER")
				//{
				//	displayDiv(0,1,0,0);
				//}
				//else
				//{
				//	displayDiv(0,1,1,0);
				//}
				
				displayDiv(0,1,1,0);
				
				var ec = parseInt( retCode );
				if( isNaN(ec) || (ec >= errMsg.length) )
					ec = 0;
				if(retCode == " 7")
				{
					return true;
				}
				window.alert( " " + errMsg[ec] );
				
			}
			else
			{
				displayDiv(1,0,0,0,0);
				document.config_alarm.language_type.value = varLanguageType;
				document.config_alarm._modify_configure_detail.value = 24; //#define GET_GC_PS_CONFIG  24 in cgi_pub.h
				document.config_alarm.sessionId.value = GetCookie("session_ID");
				document.config_alarm.submit();
			}
		
		}
		function changePSMode()
		{
				displayDiv(1,0,0,0,0);
				var selMode = document.all["selPSMode"];
				document.config_alarm.language_type.value = varLanguageType;
				document.config_alarm._powerSpliteMode.value = selMode.options[selMode.selectedIndex].value;
				document.config_alarm._modify_configure_detail.value = 26; //#define SET_GC_PS_MODE  26 in cgi_pub.h
				document.config_alarm.sessionId.value = GetCookie("session_ID");
				document.config_alarm.submit();
		}
		function insertPSMode()
		{
			document.writeln("/*[ID_PS_MODE]*/:"+powerSpliteMode);
		}
var goEquipNum=0;

function goEquip(n) {//n is equipment id;
	var equipRealName;
	for(var j = 0; j<top.equip_list.equipList.length; j++)
	{
		//szName,szId
		if(top.equip_list.equipList[j].szId == n)
		{
			equipRealName = top.equip_list.equipList[j].szName;
		}
	}
	
	for(var i=1; ; i++)
	{
		var id = "Tree_td_"+i;
		var currentID = top.tree_view.document.getElementById(id)
		if(currentID != null && currentID.innerText!=""){
			var currentName = trim(currentID.innerText)
			if(currentName == equipRealName)
			{
				top.tree_view.Tree_clickNode(i);
				break;
			}
			else
			{
				goEquipNum ++;
			}
		}
		else{
			goEquipNum--;
		}
		if(i>goEquipNum)
		{
			break;
		}
	}
	top.site_view.location.href = '/cgi-bin/eng/p03_main_menu.htm';
	
}





//--></SCRIPT>
<style type="text/css">
body { font-family:Arial; background:#fff; font-size:12px;scrollbar-face-color: #b4cee9; scrollbar-shadow-color: #b4cee9;scrollbar-highlight-color:#b4cee9; scrollbar-3dlight-color: #b4cee9; scrollbar-darkshadow-color: #b4cee9; scrollbar-track-color:#f1f1f1; scrollbar-arrow-color: #fff;}
.dataLoading {  font-weight:bold; color:#888; font-size:14px; padding:20px 0; text-align:center; }
.dataLoading img { margin-right:5px; }
#dispPowerSpliteMode { padding-left:15px; border-bottom:#b4cee9 solid 2px; margin-bottom:10px;} 
#dataList { width:100%; padding:15px; padding-top:10px; height:auto; overflow:hidden; }
#dataList a { color:#3d85c4; text-decoration:none; }
#dataList a:hover { color:#ff9600; text-decoration:underline; }
select,input { font-family:Arial; font-size:12px; }
</style>
</head>
<body onLoad="initBody();">
<div id="before_load">
  <table width="100%" border="0" cellpadding="0" cellspacing="0" bordercolor="#FFFFFF" name="sample">
    <tr>
      <td align="center"><div class="dataLoading"><img src="/cgi-bin/eng/img/loading.gif" border="0" align="absmiddle" />Loading data...</div></td>
    </tr>
  </table>
</div>
<form method="post" action="/cgi-bin/web_cgi_setting.cgi" name="config_alarm" onSubmit="return true;" ID="config_plc">
  <input type="hidden" name="_modify_configure" value="10" ID="Hidden4">
  <input type="hidden" name="_modify_configure_detail" ID="Hidden5">
  <input type="hidden" name="_powerSpliteExp" value="0" ID="Hidden2">
  <input type="hidden" name="language_type" value="0" ID="Hidden6">
  <input type="hidden" name="_powerSpliteMode" ID="Hidden7">
  <input type="hidden" name="sessionId" value="0" ID="Hidden3">
  <!--use GetCookie("session_ID");-->
</form>
<div id="dispPowerSpliteMode" >
  <table id="PSMode" cellSpacing="0" cellPadding="0" width="100%" border="0">
    <tr>
      <td height="35"><strong>
        <script language="javascript">insertPSMode()</script>
        :</strong>
        <select id="selPSMode" NAME="selPSMode">
          <option value="MASTER" selected>/*[ID_Master]*/</option>
          <option value="SLAVE">/*[ID_Slave]*/</option>
        </select>
        <input type="button" name="BTN_modify" id="Modify" onClick="changePSMode()" value="/*[ID_CFGMode]*/">
      </td>
    </tr>
  </table>
</div>
<div id="dataList">
  <div id="showPSItem">
    <table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" ID="tabShowAlarm">
      <tr style="display:none;">
        <th height="30" colspan="5">/*[ID_TITLE2]*/</th>
      </tr>
      <tr style="background:#3d85c4; color:#fff;">
        <th width="20%" height="24" align="left" style="border-right:#fff solid 1px; border-bottom:#fff solid 1px; padding-left:10px;">/*[ID_PSSigName]*/</th>
        <th width="25%" align="left" style="border-right:#fff solid 1px; border-bottom:#fff solid 1px; padding-left:10px;">/*[ID_EquipName]*/</th>
        <th width="25%" align="left" style="border-right:#fff solid 1px; border-bottom:#fff solid 1px; padding-left:10px;">/*[ID_SigType]*/</th>
        <th width="20%" align="left" style="border-right:#fff solid 1px; border-bottom:#fff solid 1px; padding-left:10px;">/*[ID_SigName]*/</th>
        <th width="10%" align="left" style="border-bottom:#fff solid 1px; padding-left:12px;">Edit</th>
      </tr>
      <script language="javascript">insertTable()</script>
      <tr>
        <td height="35" colspan="5" style="font-weight:bold;">/*[ID_EXPLAIN]*/&nbsp;&nbsp;&nbsp;<a href="javascript:void(0);" onClick="goEquip(1);">
		<script type="text/javascript">
			for(var j = 0; j<top.equip_list.equipList.length; j++)
			{
				//szName,szId
				if(top.equip_list.equipList[j].szId == 1)
				{
					document.write(top.equip_list.equipList[j].szName);
				}
			}
		</script>
		</a> </td>
      </tr>
    </table>
  </div>
  <div id="editPSItem" style="display:none">
    <table ID="Table3" align="center" width="100%" cellpadding="0" cellspacing="0" border="0">
      <tr style="display:none;">
        <th colspan="5">/*[ID_TITLE3]*/</th>
      </tr>
      <tr style="background:#3d85c4; color:#fff;">
        <th width="20%" height="24" align="left" style="border-right:#fff solid 1px; border-bottom:#fff solid 1px; padding-left:10px;">/*[ID_PSSigName1]*/</th>
        <th width="25%" align="left" style="border-right:#fff solid 1px; border-bottom:#fff solid 1px; padding-left:10px;">/*[ID_EquipName1]*/</th>
        <th width="20%" align="left" style="border-right:#fff solid 1px; border-bottom:#fff solid 1px; padding-left:10px;">/*[ID_SigType1]*/</th>
        <th width="20%" align="left" style="border-right:#fff solid 1px; border-bottom:#fff solid 1px; padding-left:10px;">/*[ID_SigName1]*/</th>
        <th width="15%" align="left" style="border-bottom:#fff solid 1px; padding-left:10px;">Edit</th>
      </tr>
      <tr style="background:#b8cce4;">
        <td height="30" style="border-right:#fff solid 1px; border-bottom:#fff solid 1px; padding-left:10px; font-family:Arial; font-weight:bold; color:#4d4d4d;"></td>
        <td style="border-right:#fff solid 1px; border-bottom:#fff solid 1px; padding-left:10px;"><select ID="selEquipName" NAME="selEquipName" onChange="selectChange(this)" onmousewheel="javascript:event.returnValue=false;">
            <script language="javascript">insertEquipOption()</script>
          </select>
        </td>
        <td style="border-right:#fff solid 1px; border-bottom:#fff solid 1px; padding-left:10px;"><select ID="selSigType" NAME="selSigType" onChange="typeChange(this)">
           <option value="0" selected>/*[ID_Sampling1]*/</option>
										<option value="1">/*[ID_Control1]*/</option>
										<option value="2">/*[ID_Setting1]*/</option>
										<option value="3">/*[ID_Alarm1]*/</option>
          </select>
        </td>
        <td style="border-right:#fff solid 1px; border-bottom:#fff solid 1px; padding-left:10px;"><select ID="selSigName" NAME="selSigName">
            <script language="javascript">insertSignal()</script>
          </select>
        </td>
        <td style="border-bottom:#fff solid 1px; padding-left:10px;"><input type="button" name="BTN_submit" id="Submit" onClick="change()" class="urlDarkButton" value="/*[ID_CFGSubmit]*/">
          <input type="button" name="BTN_Cancel" id="Cancel" onClick="cancel()" class="urlDarkButton" value="/*[ID_CFGCancel]*/"></td>
      </tr>
    </table>
  </div>
</div>
<script language="javascript" type="text/javascript">  
 setGradient(document.body, '#fefefe','#dfe4ea',0);  
</script>
</body>
</html>
